package org.ow2.odis.plugin;

import java.io.File;
import java.io.FileFilter;
import java.io.FileNotFoundException;
import org.objectweb.util.monolog.Monolog;
import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Logger;
import org.ow2.odis.admin.IAction;

/**
 *
 * @author olivier beyler
 */

class JarLoaderAction implements IAction{
static final Logger LOGGER = Monolog.initialize().getLogger(JarLoaderAction.class.getName());
private static final String CST_LOADJAR = "-loadjar";
private final JarLoaderPlugin loader;
    JarLoaderAction(JarLoaderPlugin _loader){
        loader=_loader;
    }
    
    public int actions(int index, String[] arg) {
        if (CST_LOADJAR.equals(arg[index])) {
			index++;
			autoLoad();
		}
		return index;
    }

    public String getDescriptions() {
        return (CST_LOADJAR+"  : add every jar contained into etc directory.");
        
    }

    public void postDeclare() {
        //nothing to do 
    }
    private void autoLoad(){
        File directory= new File("etc");
        if (directory.isDirectory()){
            File[] ls = directory.listFiles(new FileFilter() {

                public boolean accept(File arg0) {
                    return arg0.getName().toLowerCase().endsWith(".jar");
                }
            });            
            for (int i=0;i<ls.length;i++){
                try {
                    loader.addJar(ls[i].getAbsolutePath());
                } catch (FileNotFoundException ex) {
                    LOGGER.log(BasicLevel.ERROR,"File"+ls[i].getAbsolutePath()+" doesn't exist");
                }
            }
            
        } else{
            LOGGER.log(BasicLevel.WARN,"Directory etc doesn't exist");
        }        
    }
            
}
