package org.ow2.odis.proceed.admin;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class CommandReport {

	public static final String EOL = System.getProperty("line.separator");

	String commandId = null;
	String commandName = null;
	long startTime = 0;
	long endTime = 0;
	String commandResponse = null;
	List errorMessages = new ArrayList();

	/**
	 * @return
	 */
	public String getCommandId() {
		return commandId;
	}

	/**
	 * @param commandId
	 */
	public void setCommandId(String commandId) {
		this.commandId = commandId;
	}

	/**
	 * @return
	 */
	public String getCommandName() {
		return commandName;
	}

	/**
	 * @param commandName
	 */
	public void setCommandName(String commandName) {
		this.commandName = commandName;
	}

	/**
	 * @return
	 */
	public long getStartTime() {
		return startTime;
	}

	/**
	 * @param startTime
	 */
	public void setStartTime(long startTime) {
		this.startTime = startTime;
	}

	/**
	 * @return
	 */
	public long getEndTime() {
		return endTime;
	}

	/**
	 * @param duration
	 */
	public void setEndTime(long endTime) {
		this.endTime = endTime;
	}

	/**
	 * @return
	 */
	public String getCommandResponse() {
		return commandResponse;
	}

	/**
	 * @param commandResponse
	 */
	public void setCommandResponse(String commandResponse) {
		this.commandResponse = commandResponse;
	}

	/**
	 * @return List of String
	 */
	public List getErrorMessages() {
		return errorMessages;
	}

	/**
	 * @param errorMessage
	 */
	public void addError(String errorMessage) {
		errorMessages.add(errorMessage);
	}

	/**
	 * @return
	 */
	public String toString() {

		// reporting
		StringBuffer sb = new StringBuffer();

		long duration = endTime - startTime;

		sb.append("<report>" + EOL);
		sb.append("  <header>" + EOL);
		sb.append("    <id value=\"" + commandId + "\" />" + EOL);
		sb.append("    <command_name value=\"" + commandName + "\" />" + EOL);
		sb.append("    <start_time value=\"" + startTime + "\" />" + EOL);
		sb.append("    <duration value=\"" + duration + "\" />" + EOL);
		sb.append("  </header>" + EOL);

		sb.append("  <response>" + EOL);
		sb.append("<![CDATA[" + EOL);
		sb.append(commandResponse);
		sb.append("]]>" + EOL);
		sb.append("  </response>" + EOL);

		sb.append("  <errors>" + EOL);

		Iterator iter = errorMessages.iterator();
		while (iter.hasNext()) {
			String errorMessage = (String) iter.next();
			sb.append("  <error>" + EOL);
			sb.append("<![CDATA[" + EOL);
			sb.append(errorMessage);
			sb.append("]]>" + EOL);
			sb.append("  </error>" + EOL);
		}

		sb.append("  </errors>" + EOL);

		sb.append("</report>" + EOL);

		// send
		return sb.toString();
	}

}
