package org.ow2.odis.proceed.admin;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;

/**
 * @author Arnaud Constancin _ France-Telecom R&D _ OrangeLabs
 * 
 */
public class ConfigReader {

	URL url = null;

	/**
	 * 
	 */
	public ConfigReader(URL url) {
		this.url = url;
	}

	/**
	 * Extract command names form config file. '#' starting lines are skipped.
	 * 
	 * @param streamReader
	 * @return List<String> a list of string that represents command class names.
	 * @throws IOException
	 */
	public List load() throws IOException {
		List commandClassNames = new ArrayList();
		String line = null;

		InputStream is = url.openStream();
		BufferedReader reader = new BufferedReader(new InputStreamReader(is));
		while (reader.ready()) {
			line = reader.readLine().trim();
			if (line.length() == 0 || line.startsWith("#")) {
				// nothinf to do
			} else {
				commandClassNames.add(line);
			}
		}

		return commandClassNames;
	}

}
