package org.ow2.odis.proceed.admin;

public interface IAdminCommand {

	/**
	 * excecute command
	 * 
	 * @param commandText
	 *          the string that will be interpreted
	 * @return la trace d'execution de la commande
	 * @throws AdminCommandException
	 *           en cas d'erreur
	 */
	public String run(String commandText) throws AdminCommandException;

	/**
	 * test if the command string corresponds to this command. return true if the command string can be runned by this
	 * command.
	 * 
	 * @param commandText
	 * @return true if the command is able to deals with the command
	 */
	public boolean matchesWithCommand(String commandText);

	/**
	 * get the name of the command
	 * 
	 * @return the name of the command
	 */
	public String getName();

	/**
	 * get help message
	 * 
	 * @return the usage of the command
	 */
	public String getUsage();
}
