package org.ow2.odis.proceed.admin.commands;

import org.ow2.odis.domain.Domain;

import org.ow2.odis.proceed.admin.AbstractAdminCommand;
import org.ow2.odis.proceed.admin.AdminCommandException;

/**
 * This command return the FullXML configuration
 * 
 * @author Arnaud Constancin _ France-Telecom R&D _ OrangeLabs
 * 
 */
public class GetFullXMLCommand extends AbstractAdminCommand {

	/**
 	 */
	public GetFullXMLCommand() {
		super("GetFullXML");
		setUsage(getName() + " : return the FullXML representation of the running domain.");
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.francetelecom.osgi.admin.commands.IAdminCommand#getCommandName()
	 */
	public String run(String commandArgs) throws AdminCommandException {
		StringBuffer sb = new StringBuffer();
		try {
			sb.append(Domain.getInstance().exportFullXML());
		} catch (Exception e) {
			throw new AdminCommandException(e);
		}
		return sb.toString();
	}

}
