package org.ow2.odis.proceed.admin.commands;

import java.util.Iterator;
import java.util.List;

import org.ow2.odis.proceed.admin.AbstractAdminCommand;
import org.ow2.odis.proceed.admin.IAdminCommand;

/**
 * @author Arnaud Constancin _ France-Telecom R&D _ OrangeLabs
 */
public class HelpCommand extends AbstractAdminCommand {

	private List commandsList = null;

	/**
	 * @param commandsList
	 */
	public HelpCommand(List commandsList) {
		super("Help");
		this.commandsList = commandsList;
		setUsage(getName() + " : display this message");

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.francetelecom.osgi.admin.commands.IAdminCommand#getCommandName()
	 */
	public String run(String commandArgs) {

		StringBuffer sb = new StringBuffer();
		sb.append("Help : " + EOL);
		Iterator cmdIter = commandsList.iterator();
		while (cmdIter.hasNext()) {
			String usage = ((IAdminCommand) cmdIter.next()).getUsage();
			sb.append("  - " + usage + EOL);
		}
		return sb.toString();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.francetelecom.osgi.admin.commands.IAdminCommand#getCommandName()
	 * 
	 * public String getName() { return name; }/
	 * 
	 * / (non-Javadoc)
	 * 
	 * @see com.francetelecom.osgi.admin.commands.IAdminCommand#getCommandName()
	 */
	public String getUsage() {
		return getName() + " : display this message";
	}

}
