package org.ow2.odis.proceed.admin.commands;

import org.ow2.odis.node.NodeManager;

import org.ow2.odis.proceed.admin.AbstractAdminCommand;
import org.ow2.odis.proceed.admin.AdminCommandException;

/**
 * This command return the state of different parts of a node
 * 
 * @author Arnaud Constancin _ France-Telecom R&D _ OrangeLabs
 * 
 */
public class ListNodesCommand extends AbstractAdminCommand {

	/**
 	 */
	public ListNodesCommand() {
		super("ListNodes");
		setUsage(getName() + " : return names of all nodes");
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.francetelecom.odis.component.proceed.admin.IAdminCommand#run(java.lang.String)
	 */
	public String run(String commandArgs) throws AdminCommandException {
		StringBuffer sb = new StringBuffer();
		try {
			sb.append("Node List : " + EOL);
			String[] listNodes = NodeManager.getInstance().getListNodes();
			for (int i = 0; i < listNodes.length; i++) {
				sb.append(listNodes[i] + EOL);
			}
		} catch (Exception e) {
			throw new AdminCommandException(e);
		}
		return sb.toString();
	}

}
