package org.ow2.odis.proceed.console;

import java.awt.Dimension;
import javax.swing.JScrollPane;
import javax.swing.JTextPane;

/**
 * define the default tab detail for a console.
 * @author Beyler Olivier FranceTelecom R&D
 */
public class ConsoleTabDetail extends JScrollPane implements ITabDetail {
    /** The component. */
    private JTextPane component = null;

    /** The Constant TAB_WIDTH. */
    private static final int TAB_WIDTH = 300;

    /** The Constant TAB_HEIGHT. */
    private static final int TAB_HEIGHT = 300;

    /** The ob. */
    private transient Object ob = null;

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new console tab detail.
     */
    public ConsoleTabDetail() {
        super();
        this.setPreferredSize(getComponent().getSize());
        setViewportView(getComponent());
    }

    /**
     * Sets the object.
     * @param ob the ob
     * @see org.ow2.odis.proceed.console.ITabDetail#setObject(java.lang.Object)
     */
    public void setObject(final Object ob) {
        if (this.ob != ob) {
            component.setText(ob.toString());
            this.ob = ob;
            updateUI();
        }
    }

    /**
     * Gets the component.
     * @return the component
     */
    public JTextPane getComponent() {
        if (component == null) {
            component = new JTextPane();
            component.setPreferredSize(new Dimension(TAB_WIDTH, TAB_HEIGHT));
            component.setSize(new Dimension(TAB_WIDTH, TAB_HEIGHT));
        }
        return component;
    }
}
